//+------------------------------------------------------------------+
//|                                              #MTF_HULL_TREND.mq4 |
//|------------------------------------------------------------------+

#property indicator_chart_window
#property indicator_buffers 2
#property indicator_color1 Yellow
#property indicator_color2 Red
#property indicator_width1 1
#property indicator_width2 1

//---- input parameters
/*************************************************************************
PERIOD_M1   1
PERIOD_M5   5
PERIOD_M15  15
PERIOD_M30  30 
PERIOD_H1   60
PERIOD_H4   240
PERIOD_D1   1440
PERIOD_W1   10080
PERIOD_MN1  43200
You must use the numeric value of the timeframe that you want to use
when you set the TimeFrame' value with the indicator inputs.
---------------------------------------*/

extern int    TimeFrame = 0;

double         ExtBuffer0[];
double         ExtBuffer1[];

double alertBar;
extern bool SoundAlert = true;
extern bool EmailAlert = false;
double prev;
extern double Step = 0.04;//was .01
extern double Maximum = 0.5;
extern int Precision = 7;
//+------------------------------------------------------------------+
//| Custom indicator initialization function                         |
//+------------------------------------------------------------------+

int init()
  {
   
//---- indicator line
   IndicatorBuffers(2);
   SetIndexStyle(0,DRAW_ARROW,STYLE_DOT);
   SetIndexStyle(1,DRAW_ARROW,STYLE_DOT);
   SetIndexArrow(0,115);
   SetIndexArrow(1,115);
   SetIndexBuffer(0,ExtBuffer0);
   SetIndexBuffer(1,ExtBuffer1);
//---- name for DataWindow and indicator subwindow label   

   switch(TimeFrame)
   {
      case 1 : string TimeFrameStr="Period_M1"; break;
      case 5 : TimeFrameStr="Period_M5"; break;
      case 15 : TimeFrameStr="Period_M15"; break;
      case 30 : TimeFrameStr="Period_M30"; break;
      case 60 : TimeFrameStr="Period_H1"; break;
      case 240 : TimeFrameStr="Period_H4"; break;
      case 1440 : TimeFrameStr="Period_D1"; break;
      case 10080 : TimeFrameStr="Period_W1"; break;
      case 43200 : TimeFrameStr="Period_MN1"; break;
      default : TimeFrameStr="Current Timeframe";
   }
   IndicatorShortName("#MTF SAR_STO("+TimeFrameStr+")");

  }

//----

   return(0);
 
//+------------------------------------------------------------------+
//|                                                                  |
//+------------------------------------------------------------------+

int start()
  {
   datetime TimeArray[];
   int    i,limit,y=0,counted_bars=IndicatorCounted();

// Plot defined time frame on to current time frame
ArrayCopySeries(TimeArray,MODE_TIME,Symbol(),TimeFrame);

limit=Bars-counted_bars+TimeFrame/Period(); for(i=0,y=0;i<limit;i++)
{
if (Time[i]<TimeArray[y]) y++;

/***********************************************************   
   Add your main indicator loop below.  You can reference an existing
      indicator with its iName  or iCustom.
   Rule 1:  Add extern inputs above for all neccesary values   
   Rule 2:  Use 'TimeFrame' for the indicator time frame
   Rule 3:  Use 'y' for your indicator's shift value
 **********************************************************/  

      ExtBuffer0[i]=iCustom(Symbol(),TimeFrame,"Parabolic SAR Color - Alert(2)email",Step,Maximum,Precision,0,y);
      ExtBuffer1[i]=iCustom(Symbol(),TimeFrame,"Parabolic SAR Color - Alert(2)email",Step,Maximum,Precision,1,y);
      if(prev != ExtBuffer0[i] && ExtBuffer0[i] > ExtBuffer1[i] && SoundAlert == true && Bars>alertBar) {Alert("#MTF SAR Alert going Down " + Symbol() + " on the " +  Period() + " minute chart.");alertBar = Bars;prev = ExtBuffer0[i];}
      if(prev != ExtBuffer0[i] && ExtBuffer0[i]< ExtBuffer1[i] && SoundAlert == true && Bars>alertBar) {Alert("#MTF SAR Alert going Up " + Symbol() + " on the " + Period() + " minute chart.");alertBar = Bars;prev = ExtBuffer0[i];}
      if(prev != ExtBuffer0[i] && ExtBuffer0[i] > ExtBuffer1[i] && EmailAlert == true && Bars>alertBar) {SendMail("Parabolic SAR Going Down on ",Symbol()+" M"+Period()+" at"+Bid );alertBar = Bars;prev = ExtBuffer0[i];}
      if(prev != ExtBuffer0[i] && ExtBuffer0[i]< ExtBuffer1[i] && EmailAlert == true && Bars>alertBar)  {SendMail("Parabolic SAR Going Up on ",Symbol()+" M"+Period()+" at"+Bid);alertBar = Bars;prev = ExtBuffer0[i];}
   }
   return(0);
  }
//+------------------------------------------------------------------+